Get a webhook subscription

Returns one webhook subscription by ID. An id that does not exist or belongs to another workspace answers 404 not_found. The signing secret itself is never returned.

GET
/v1/webhooks/{id}

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://customermates.com/api/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "url": "http://example.com",
  "description": "string",
  "events": [
    "record.created"
  ],
  "bodyTemplate": "string",
  "enabled": true,
  "pausedReason": "triggerFieldDeleted",
  "recordTrigger": {
    "query": {
      "typeId": "caab7c42-4ce7-4bd5-bbab-6017cec730b7",
      "filters": [],
      "relationships": [],
      "relatedFilters": [
        {
          "path": [
            {
              "relationId": "4b4bc808-5132-481f-afc2-e3872bf12049",
              "direction": "outgoing"
            }
          ],
          "operator": "any",
          "filters": [
            {
              "fieldId": "84922011-b03d-4966-bc95-c5b49bc2e342",
              "operator": "eq",
              "value": {
                "kind": "text",
                "value": "string"
              },
              "values": [
                {
                  "kind": "text",
                  "value": "string"
                }
              ]
            }
          ],
          "relationships": [],
          "search": "string",
          "recordIds": [
            "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          ]
        }
      ],
      "search": "string"
    },
    "changedFieldIds": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ]
  },
  "recordSources": [
    {
      "query": {
        "typeId": "caab7c42-4ce7-4bd5-bbab-6017cec730b7",
        "filters": [],
        "relationships": [],
        "relatedFilters": [
          {
            "path": [
              {
                "relationId": "4b4bc808-5132-481f-afc2-e3872bf12049",
                "direction": "outgoing"
              }
            ],
            "operator": "any",
            "filters": [
              {
                "fieldId": "84922011-b03d-4966-bc95-c5b49bc2e342",
                "operator": "eq",
                "value": {
                  "kind": "text",
                  "value": "string"
                },
                "values": [
                  {
                    "kind": "text",
                    "value": "string"
                  }
                ]
              }
            ],
            "relationships": [],
            "search": "string",
            "recordIds": [
              "497f6eca-6276-4993-bfeb-53cbbbba6f08"
            ]
          }
        ],
        "search": "string"
      },
      "changedFieldIds": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "events": [
        "record.created"
      ]
    }
  ],
  "recordOwnerUserId": "226b2093-6809-4140-8367-54923cad94f7",
  "createdAt": "string",
  "updatedAt": "string",
  "hasSecret": true,
  "headerNames": [
    "string"
  ]
}
{
  "error": {
    "kind": "validation",
    "issues": [
      {
        "code": "string",
        "path": [
          "string"
        ],
        "message": "string",
        "customCode": "recordNotFound",
        "entitlement": "string"
      }
    ],
    "retryable": true
  }
}
{
  "error": {
    "kind": "validation",
    "issues": [
      {
        "code": "string",
        "path": [
          "string"
        ],
        "message": "string",
        "customCode": "recordNotFound",
        "entitlement": "string"
      }
    ],
    "retryable": true
  }
}
{
  "error": {
    "kind": "validation",
    "issues": [
      {
        "code": "string",
        "path": [
          "string"
        ],
        "message": "string",
        "customCode": "recordNotFound",
        "entitlement": "string"
      }
    ],
    "retryable": true
  }
}
{
  "error": {
    "kind": "validation",
    "issues": [
      {
        "code": "string",
        "path": [
          "string"
        ],
        "message": "string",
        "customCode": "recordNotFound",
        "entitlement": "string"
      }
    ],
    "retryable": true
  }
}
Empty